angular-material versions and peer dependencies

The table below has a list of all versions of angular-material compatible peers dependencies.

Version Peer Dependency Versions
1.2.0 - 1.2.2
  • angular @ ^1.7.2
  • angular-animate @ ^1.7.2
  • angular-aria @ ^1.7.2
  • angular-messages @ ^1.7.2
1.1.10 - 1.1.24
  • angular @ 1.4 - 1.7.0 || ^1.7.2
  • angular-animate @ 1.4 - 1.7.0 || ^1.7.2
  • angular-aria @ 1.4 - 1.7.0 || ^1.7.2
  • angular-messages @ 1.4 - 1.7.0 || ^1.7.2
1.1.5 - 1.1.9
  • angular @ >=1.4 <1.7
  • angular-animate @ >=1.4 <1.7
  • angular-aria @ >=1.4 <1.7
  • angular-messages @ >=1.4 <1.7
1.1.4
  • angular @ >=1.3 <1.7
  • angular-animate @ >=1.3 <1.7
  • angular-aria @ >=1.3 <1.7
1.0.9 - 1.1.3
  • angular @ >=1.3 <1.6
  • angular-animate @ >=1.3 <1.6
  • angular-aria @ >=1.3 <1.6
1.0.8
  • angular @ >=1.3 <1.6
  • angular-animate @ >=1.3 <1.6
  • angular-aria @ >=1.3 <1.6
  • angular-messages @ >=1.3 <1.6
  • angular-mocks @ >=1.3 <1.6
  • angular-route @ >=1.3 <1.6
  • angular-sanitize @ >=1.3 <1.6
1.0.6 - 1.0.7
  • angular @ ^1.5.0
  • angular-animate @ ^1.5.0
  • angular-aria @ ^1.5.0
  • angular-messages @ ^1.5.0
1.0.0 - 1.0.5
  • angular @ ^1.4.7
  • angular-animate @ ^1.4.7
  • angular-aria @ ^1.4.7
0.9.2 - 0.11.4
  • angular @ ^1.3.15 || >1.4.0-beta.0
  • angular-animate @ ^1.3.15 || >1.4.0-beta.0
  • angular-aria @ ^1.3.15 || >1.4.0-beta.0
0.8.1 - 0.8.3
  • angular @ 1.3.x
  • angular-animate @ 1.3.x
  • angular-aria @ 1.3.x